Page MenuHomePhabricator

DateTimeInputWidget: Align to WikimediaUI widget appearance and fix visual glitches and code
Closed, ResolvedPublic

Description

Before:

The picture below is from an DateTimeInputWidget (Firefox 58.0 on Linux, red line added by me for emphasis):

As you can see, numbers are a few pixels above the line on which letters are aligned. Looks untidy, and triggers OCD!

Pages with DateTimeInputWidget:

(Note that other pages (Special:UploadWizard, Special:Contributions) actually use a DateInputWidget, which for silly historical reasons is a completely separate widget: T91148)


After:

Event Timeline

Huji created this task.Mar 10 2018, 12:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2018, 12:34 AM
Volker_E renamed this task from Numbers and text are not vertically aligned with the data/time selector to DateTimeInputWidget: Numbers and text are not vertically aligned with the data/time selector.Mar 20 2018, 1:28 AM
Volker_E claimed this task.
Volker_E triaged this task as Normal priority.
Volker_E added a subscriber: matmarex.
Restricted Application added a project: UI-Standardization. · View Herald TranscriptMar 20 2018, 1:28 AM
Huji renamed this task from DateTimeInputWidget: Numbers and text are not vertically aligned with the data/time selector to DateTimeInputWidget: Numbers and text are not vertically aligned.Mar 20 2018, 1:29 AM

Change 372596 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Align to WikimediaUI themed widgets

https://gerrit.wikimedia.org/r/372596

Volker_E renamed this task from DateTimeInputWidget: Numbers and text are not vertically aligned to DateTimeInputWidget: Align closer to WikimediaUI widget appearance and fix visual glitches and code.Mar 20 2018, 2:04 AM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Mar 20 2018, 2:07 AM
Volker_E moved this task from Backlog to Review on the UI-Standardization-Kanban board.
Volker_E renamed this task from DateTimeInputWidget: Align closer to WikimediaUI widget appearance and fix visual glitches and code to DateTimeInputWidget: Align to WikimediaUI widget appearance and fix visual glitches and code.Apr 12 2018, 3:29 AM
matmarex updated the task description. (Show Details)Apr 25 2018, 12:13 AM

Change 372596 merged by jenkins-bot:
[mediawiki/core@master] Align to WikimediaUI themed widgets

https://gerrit.wikimedia.org/r/372596

matmarex closed this task as Resolved.Apr 25 2018, 12:28 AM
matmarex removed a project: Patch-For-Review.
Volker_E raised the priority of this task from Normal to Needs Triage.Jun 1 2018, 2:07 PM
Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.